/*
  ******************************************************************************
  * @file    main.c
  * @author  APT AE Team
  * @version V1.12
  * @date    2022/07/02
  ******************************************************************************
  *THIS SOFTWARE WHICH IS FOR ILLUSTRATIVE PURPOSES ONLY WHICH PROVIDES 
  *CUSTOMER WITH CODING INFORMATION REGARDING THEIR PRODUCTS.
  *APT CHIP SHALL NOT BE HELD RESPONSIBILITY ADN LIABILITY FOR ANY DIRECT, 
  *INDIRECT DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE CONTENT OF 
  *SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING INFORMATION 
  *CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.AND APT CHIP RESERVES 
  *THE RIGHT TO MAKE CHANGES IN THE SOFTWARE WITHOUT NOTIFICATION
  ******************************************************************************
  */

/* Includes ------------------------------------------------------------------*/
#include "apt32s003.h"
#include "apt32s003_adc.h"
#include "apt32s003_bt.h"
#include "apt32s003_coret.h"
#include "apt32s003_countera.h"
#include "apt32s003_crc.h"
#include "apt32s003_ept.h"
#include "apt32s003_et.h"
#include "apt32s003_gpio.h"
#include "apt32s003_gpt.h"
#include "apt32s003_i2c.h"
#include "apt32s003_ifc.h"
#include "apt32s003_lpt.h"
#include "apt32s003_rtc.h"
#include "apt32s003_spi.h"
#include "apt32s003_syscon.h"
#include "apt32s003_uart.h"
#include "apt32s003_wwdt.h"
#include "apt32s003_types_local.h"
/* defines -------------------------------------------------------------------*/

/* externs Register-------------------------------------------------------------------*/

/* externs function-------------------------------------------------------------------*/
extern void delay_nms(unsigned int t);
extern void APT32S003_init(void);	

/*************************************************************/
//main
/*************************************************************/
int main(void) 
{
	delay_nms(1000);
	APT32S003_init();

    while(1)
	{
		//SYSCON_IWDCNT_Reload();  
		//......
    }
}
/******************* (C) COPYRIGHT 2019 APT Chip *****END OF FILE****/